package com.example.bdlive_flutter_viewer;

import java.util.Map;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.EventChannel;

public class FlutterEventChannelHelper {
    private EventChannel eventChannel;
    private EventChannel.EventSink eventSink;

    public FlutterEventChannelHelper(BinaryMessenger messenger, String channelName) {
        eventChannel = new EventChannel(messenger, channelName);
        eventChannel.setStreamHandler(new EventChannel.StreamHandler() {
            @Override
            public void onListen(Object arguments, EventChannel.EventSink events) {
                eventSink = events;
            }

            @Override
            public void onCancel(Object arguments) {
                // 监听取消时的操作
                releaseEventSink();
            }
        });
    }

    public void sendToFlutter(Map<String, Object> data) {
        if (eventSink != null) {
            eventSink.success(data);
        }
    }

    public void destroy() {
        releaseEventSink();
        eventChannel.setStreamHandler(null);
    }

    private void releaseEventSink() {
        if (eventSink != null) {
            eventSink.endOfStream(); // 结束事件流，通知 Flutter 端取消监听
            eventSink = null; // 清空 eventSink 引用，释放资源
        }
    }
}