package com.example.bdlive_flutter_viewer.vo;

import java.util.HashMap;
import java.util.Map;

public class BdlActivity {
    private Long activityId;
    private String token;
    private Integer authMode;
    private Boolean isPortrait;

    public BdlActivity(Long activityId, String token, Integer authMode, Boolean isPortrait) {
        this.activityId = activityId;
        this.token = token;
        this.authMode = authMode;
        this.isPortrait = isPortrait;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Integer getAuthMode() {
        return authMode;
    }

    public void setAuthMode(Integer authMode) {
        this.authMode = authMode;
    }

    public Boolean getPortrait() {
        return isPortrait;
    }

    public void setPortrait(Boolean portrait) {
        isPortrait = portrait;
    }

    public boolean isValid() {
        if (activityId == null || authMode == null || isPortrait == null) {
            return false;
        }
        if (authMode != 1 && authMode != 2) {
            return false;
        }
        return true;
    }

    public Map<String, Object> generateFlutterMap() {
        Map<String, Object> map = new HashMap<>();
        map.put("activityId", activityId);
        map.put("token", token);
        map.put("authMode", authMode);
        map.put("isPortrait", isPortrait);
        return map;
    }

}
