import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

class CommonRadioFormItem<T> extends StatelessWidget {
  final String label;
  final List<String> options;
  final List<T> values;
  final T? groupValue;
  final ValueChanged<T?>? onChanged;

  const CommonRadioFormItem(this.label, {
    super.key,
    required this.options,
    required this.values,
    this.groupValue,
    this.onChanged,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Container(
          margin: const EdgeInsets.symmetric(vertical: 10),
          width: 70,
          child: Text(
            label,
            style: const TextStyle(fontSize: 16.0, color: Colors.black87),
          ),
        ),
        Expanded(
          child: Wrap(
            children: List.generate(
                options.length,
                (index) => Row(
                  mainAxisSize: MainAxisSize.min,
                  children: [
                    const SizedBox(width: 10,),
                    Radio<T>(
                        value: values[index],
                        groupValue: groupValue,
                        onChanged: onChanged),
                    Text(options[index]),
                  ],
                )),
          ),
        )
      ],
    );
  }
}
