import 'dart:io';
import 'package:flutter/material.dart';
import 'package:bdlive_flutter_viewer/bdlive_flutter_viewer.dart';
import 'setting_activity_page.dart';


void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();

    String channel = Platform.isAndroid ? 'your channel' : 'App Store';

    TTSDKConfiguration config = TTSDKConfiguration(
      appID: '407390',
      bundleID: 'com.bytedance.videoarch.TTLiveStream',
      appName: 'PullDemo',
      channel: channel,
      liveLicenseFilePath: 'Licenses/TTSDK/l-101585-ch-live-a-407390.lic',
      vodLicenseFilePath: 'Licenses/TTSDK/l-101586-ch-vod-a-407390.lic',
      appVersion: '1.0.0',
    );
    BdliveViewerApi.startWithConfiguration(config);
  }


  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: SettingActivityPage(),
    );
  }
}
