import 'package:bdlive_flutter_viewer/bdlive_flutter_viewer.dart';
import 'package:flutter/material.dart';

class ProductDetailPage extends StatefulWidget {

  static bool pageIsExist = false;

  final BdlActivityConfig activity;
  final String url;
  final BdlViewerOpenUrlType type;
  final bool enableFloating;
  bool isShowBackArrow;

  ProductDetailPage({super.key, required this.activity, required this.url, required this.type, required this.enableFloating, this.isShowBackArrow = true});

  @override
  State<ProductDetailPage> createState() => _ProductDetailPageState();
}

class _ProductDetailPageState extends State<ProductDetailPage> {

  bool isShowExitDetailButtonFlag = true;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('商品详情页'),
        automaticallyImplyLeading: widget.isShowBackArrow, // false: 去掉appBar的返回箭头
      ),
      body: PopScope(
        canPop: widget.isShowBackArrow, // false: 禁止返回手势
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text('url: ${widget.url}'),
              Text('type: ${widget.type}'),
              Text('enableFloating: ${widget.enableFloating}'),
              SizedBox(height: 20,),
              if (isShowExitDetailButtonFlag) ElevatedButton(
                  onPressed: () {
                    print("onPressed--");
                    BdliveViewerApi.instance.enterLiveRoom(widget.activity);
                    Navigator.of(context).pop();
                    ProductDetailPage.pageIsExist = false;
                  },
                  child:Text('退出详情页并返回直播间'),),
              SizedBox(height: 20,),
              ElevatedButton(
                onPressed: () {
                  print("onPressed--");
                  setState(() {
                    isShowExitDetailButtonFlag = false;
                    widget.isShowBackArrow = true;
                  });
                  BdliveViewerApi.instance.leaveLiveRoom();
                },
                child:Text('退出直播间'),),
            ],
          ),
        ),
      ),
    );
  }
}
