import 'package:flutter/foundation.dart';

import '../api/bdlive_flutter_viewer_api.dart';

extension BdlLiveRoomStatusListenerExtension on BdlLiveRoomStatusListener {
  void process(String methodName, Map<dynamic, dynamic> dic) {
    debugPrint('BdlLiveRoomStatusListener process = $methodName $dic');
    switch (methodName) {
      
      case 'onLiveRoomActivityResume':
        debugPrint("case onLiveRoomActivityResume $dic['activity']");
        var activity = BdlActivityConfig.fromMap(dic['activity']);
        debugPrint("case onLiveRoomActivityResume $activity");
        onLiveRoomActivityResume?.call(activity);
        break;
      case 'onLiveRoomActivityPause':
        var activity = BdlActivityConfig.fromMap(dic['activity']);
        onLiveRoomActivityPause?.call(activity);
        break;
      case 'onFloatViewWillAppear':
        var activity = BdlActivityConfig.fromMap(dic['activity']);
        onFloatViewWillAppear?.call(activity);
        break;
      case 'onFloatViewWillClose':
        var activity = BdlActivityConfig.fromMap(dic['activity']);
        onFloatViewWillClose?.call(activity);
        break;
      case 'onOpenUrlCallback':
        String url = dic['url'] ?? "";
        BdlViewerOpenUrlType type = BdlViewerOpenUrlType.values[(dic['type'] - 1) ?? 0];
        bool enableFloating = dic['enableFloating'] ?? false;
        onOpenUrlCallback?.call(url, type, enableFloating);
        break;
    }
  }
}